local addonname, didi = ...

local function getFaction() -- preferred over UnitFactionGroup because not dependent on loading order
    local _, _, raceid = UnitRace("player")
    if raceid == 1 or raceid == 3 or raceid == 4 or raceid == 7 or raceid == 11 then
        return "Alliance"
    else
        return "Horde"
    end
end
didi.getFaction = getFaction

local function tableHasKey(table, key)
    return table[key] ~= nil
end
didi.tableHasKey = tableHasKey

local function tableContains(table, element)
    for _, value in pairs(table) do
        if value == element then
            return true
        end
    end
    return false
end
didi.tableContains = tableContains